<?php

	add_action( 'admin_init', 'superslick_theme_options_init' );
	add_action( 'admin_menu', 'superslick_theme_options_add_page' );

/**
 * Init plugin options to white list our options
 */

function superslick_theme_options_init() {
	register_setting( 'superslick_options', 'superslick_theme_options', 'superslick_theme_options_validate' );
}

/**
 * Load up the menu page
 */

function superslick_theme_options_add_page() {
	add_theme_page( __( 'Theme Options', 'superslicktheme' ), __( 'Theme Options', 'superslicktheme' ), 'edit_theme_options', 'theme_options', 'superslick_theme_options_do_page' );
}

/**
 * Create the options page
 */

function superslick_theme_options_do_page() {
	global $select_options, $radio_options;

	if ( ! isset( $_REQUEST['settings-updated'] ) )
		$_REQUEST['settings-updated'] = false;

?>
	
	
	<div class="wrap">
		<?php screen_icon(); echo "<h2>" . get_current_theme() . __( ' Theme Options', 'superslicktheme' ) . "</h2>"; ?>

		<?php if ( false !== $_REQUEST['settings-updated'] ) : ?>
		<div class="updated fade"><p><strong><?php _e( 'Options saved', 'superslicktheme' ); ?></strong></p></div>
		<?php endif; ?>

		<form method="post" action="options.php">
			<?php settings_fields( 'superslick_options' ); ?>
			<?php $options = get_option( 'superslick_theme_options' ); ?>

			<table class="form-table">
			
<?php

/**
 * home page text and link
 */

?>
			
			<tr valign="top"><th scope="row"><?php _e( 'Homepage text and link', 'superslicktheme' ); ?></th>
				<td>
						<input id="superslick_theme_options[hometexts]" type="text" size="30" name="superslick_theme_options[hometexts]" value="<?php esc_attr_e( $options['hometexts'] ); ?>" >
						<label class="description" for="superslick_theme_options[hometexts]"><?php _e( 'headline here', 'superslicktheme' ); ?></label>
					</td>
			</tr>
			
			<tr valign="top"><th scope="row"></th>
				<td>
						<input id="superslick_theme_options[hometextsh3]" type="text" size="40" name="superslick_theme_options[hometextsh3]" value="<?php esc_attr_e( $options['hometextsh3'] ); ?>" >
						<label class="description" for="superslick_theme_options[hometextsh3]"><?php _e( 'sub header section', 'superslicktheme' ); ?></label>
					</td>
			</tr>
			
			<tr valign="top"><th scope="row"></th>
				<td>
						<input id="superslick_theme_options[hometextsp]" type="text" size="70" name="superslick_theme_options[hometextsp]" value="<?php esc_attr_e( $options['hometextsp'] ); ?>">
						<label class="description" for="superslick_theme_options[hometextsp]"><?php _e( 'longer description', 'superslicktheme' ); ?></label>
					</td>
			</tr>
			
			<tr valign="top"><th scope="row"></th>
				<td>
						<input id="superslick_theme_options[hometextsbut]" type="text" size="25" name="superslick_theme_options[hometextsbut]" value="<?php esc_attr_e( $options['hometextsbut'] ); ?>">
						<label class="description" for="superslick_theme_options[hometextsbut]"><?php _e( 'Button label - max 25 characters', 'superslicktheme' ); ?></label>
					</td>
			</tr>
			<tr valign="top"><th scope="row"></th>
				<td>
						<input id="superslick_theme_options[hometextsbutlink]" type="text" size="70" name="superslick_theme_options[hometextsbutlink]" value="<?php esc_attr_e( $options['hometextsbutlink'] ); ?>">
						<label class="description" for="superslick_theme_options[hometextsbutlink]"><?php _e( 'Button link to URL', 'superslicktheme' ); ?></label>
					</td>
			</tr>
			
<?php

/**
 *  slideshow images
 */
 				
?>

	<tr valign="top">
				<th scope="row"><?php _e( 'Homepage right section image', 'superslicktheme' ); ?></th>
				<td><input name="superslick_theme_options[homeslideimagesyes]" type="radio" value="homeslideimageson" <?php checked( $options['homeslideimagesyes'], 'homeslideimageson' ); ?>  /> Use default image </br>
                <input name="superslick_theme_options[homeslideimagesyes]" type="radio" value="homeslideimagesoff" <?php checked( $options['homeslideimagesyes'], 'homeslideimagesoff' ); ?>  /> Use my own image - 490x390px BG#EEE</br></td>
			</tr>
			
<?php

/**
 * homepage image
 */
 
?>

	<tr valign="top">
				<th scope="row"><?php _e( 'Homepage header Image - right side of text section 490x395px max', 'superslicktheme' ); ?></th>
			
			<td><input id="superslick_theme_options[homeslideimages]" type="text" name="superslick_theme_options[homeslideimages]" value="<?php esc_attr_e( $options['homeslideimages'] ); ?>" size="50" /> Full Image URL, including http://</td>
			</tr>
			
<?php

/**
 * twitter text input option
 */
 
?>
	</br>
		<tr valign="top">
				<th></th>
				<td></td>
		</tr>
		<tr valign="top"><th scope="row"><?php _e( 'Twitter', 'superslicktheme' ); ?></th>
				<td>
					<input id="superslick_theme_options[Twitter]" class="regular-text" type="text" name="superslick_theme_options[Twitter]" value="<?php echo esc_attr_e( $options['Twitter'] ); ?>" />
						<label class="description" for="superslick_theme_options[Twitter]"><?php _e( 'Enter your twitter URL e.g http://twitter.com/#!/liight_design', 'superslicktheme' ); ?></label>
				</td>
		</tr>

<?php
				
/**
 * A superslick Facebook text input option
 */
 
?>
				

<tr valign="top">

	<th scope="row"><?php _e( 'Facebook', 'superslicktheme' ); ?></th>
				<td>
					<input id="superslick_theme_options[Facebook]" class="regular-text" type="text" name="superslick_theme_options[Facebook]" value="<?php echo esc_attr_e( $options['Facebook'] ); ?>" />
						<label class="description" for="superslick_theme_options[Facebook]"><?php _e( 'Enter your facebook URL e.g http://facebook.com/liight_design', 'superslicktheme' ); ?></label>
				 </td>
	</tr>

<?php
				
/**
 * A superslick textarea option
 */
 
?>
				
	<tr valign="top"><th scope="row"><?php _e( 'A little about yourself to go at the top of the right sidebar', 'superslicktheme' ); ?></th>
				<td>
						<textarea id="superslick_theme_options[sidetop]" class="large-text" cols="40" rows="9" name="superslick_theme_options[sidetop]"><?php echo esc_textarea( $options['sidetop'] ); ?></textarea>
						<label class="description" for="superslick_theme_options[sidetop]"><?php _e( '', 'superslicktheme' ); ?></label>
				</td>
				
	</tr>
			
			
			
			
</table>

<?php
				
/**
 * submit
 */

?>

	<p class="submit">
	
		<input type="submit" class="button-primary" value="<?php _e( 'Save Options', 'superslicktheme' ); ?>" />
				
	</p>
	
</form>

	</div>
	
<?php }

/**
 * Sanitize and validate input. Accepts an array, return a sanitized array.
 */
 
function superslick_theme_options_validate( $input ) {
	global $select_options;

	
	// Say our texarea option must be safe text with no HTML tags
	$input['sidetop'] = esc_textarea( $input['sidetop'] );
	$input['Facebook'] = esc_url_raw( $input['Facebook'] );
    $input['Twitter'] = esc_url_raw( $input['Twitter'] );
    $input['hometexts'] = esc_textarea( $input['hometexts'] );
    $input['hometextsh3'] = esc_textarea( $input['hometextsh3'] );
    $input['hometextsp'] = esc_textarea( $input['hometextsp'] );
    $input['hometextsbut'] = esc_textarea( $input['hometextsbut'] );
    $input['hometextsbutlink'] = esc_url_raw( $input['hometextsbutlink'] );
    $input['homeslideimages'] = esc_url_raw( $input['homeslideimages'] );
    


 	return $input;
}

// adapted from http://planetozh.com/blog/2009/05/handling-plugins-options-in-wordpress-28-with-register_setting/